import React from 'react';
import SvgIcon from '@mui/material/SvgIcon';

export default props => (
  <SvgIcon viewBox="0 0 32 38" {...props}>
    <path d="M30.4 1.6h-28.8c-0.96 0-1.6 0.8-1.6 1.6v25.6c0 0.8 0.64 1.6 1.6 1.6h28.8c0.8 0 1.6-0.8 1.6-1.6v-25.6c0-0.8-0.8-1.6-1.6-1.6zM29.76 28.16h-27.52v-18.88h27.52v18.88zM4.16 23.36l4.64-9.92 0.16-0.16h0.16c0.16 0 0.16 0 0.16 0.16l4.64 9.92c0 0.16 0 0.48-0.16 0.48h-1.76c-0.16 0-0.48 0-0.64-0.48l-0.64-1.28h-4l-0.64 1.28c0 0.16-0.16 0.48-0.64 0.48h-1.12c-0.16 0-0.48-0.32-0.16-0.48zM10.080 20.16l-1.28-2.4-0.96 2.4h2.24zM15.36 13.76c0-0.16 0.16-0.16 0.16-0.16h3.68c1.76 0 3.2 1.44 3.2 3.2s-1.44 3.2-3.2 3.2h-1.6v3.36c0 0.16-0.16 0.16-0.16 0.16h-1.92c-0.16 0-0.16-0.16-0.16-0.16v-9.6zM19.040 17.92c0.64 0 1.28-0.48 1.28-1.28 0-0.64-0.64-0.96-1.28-0.96h-1.44v2.24h1.44zM24 13.76c0-0.16 0.16-0.16 0.16-0.16h1.76c0.16 0 0.16 0.16 0.16 0.16v9.76c0 0.16-0.16 0.16-0.16 0.16h-1.76c-0.16 0-0.16-0.16-0.16-0.16v-9.76z" />
  </SvgIcon>
);
